package org.jeecg.modules.dynamicStaticAnalysis.service.impl;

import org.jeecg.modules.dynamicStaticAnalysis.entity.ConfigInstrumentCheck;
import org.jeecg.modules.dynamicStaticAnalysis.entity.ConfigRailVehicleTql;
import org.jeecg.modules.dynamicStaticAnalysis.mapper.ConfigInstrumentCheckMapper;
import org.jeecg.modules.dynamicStaticAnalysis.service.IConfigInstrumentCheckService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 动静态分析-配置-添乘仪检查超限权值 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2023-08-01
 */
@Service
public class ConfigInstrumentCheckServiceImpl extends ServiceImpl<ConfigInstrumentCheckMapper, ConfigInstrumentCheck> implements IConfigInstrumentCheckService {

    @Override
    public List<ConfigInstrumentCheck> listRecord() {
        List<ConfigInstrumentCheck> records = this.lambdaQuery().eq(ConfigInstrumentCheck::getDelFlag, "0").list();
        return records;
    }
}
